package com.ruoyi.ehsFloodDroughtWorker.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class FloodDroughtWorkerImportTemplate {
    @Excel(name = "人员姓名", type = Excel.Type.ALL)
    private String workerName;
    @Excel(name = "性别(0-男,1-女)", type = Excel.Type.ALL)
    private Integer gender;
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "出生年月(格式为:2023-12-12)", width = 30, dateFormat = "yyyy-MM-dd", type = Excel.Type.ALL)
    private Date birthday;
    @Excel(name = "身份证号", type = Excel.Type.ALL)
    private String idCard;
    @Excel(name = "联系方式", type = Excel.Type.ALL)
    private String phone;
    @Excel(name = "工作年限", type = Excel.Type.ALL)
    private String workYear;
    @Excel(name = "技能特长", type = Excel.Type.ALL)
    private String speciality;
    @Excel(name = "备注", type = Excel.Type.ALL)
    private String remark;
}
